From eba70a7b654105d2e92792956e828c06105c02a6 Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 30 Jun 2019 21:23:50 +0300
Subject: [PATCH] libtorrent-rasterbar: build with python3 bindings

---
 ...bar-python => libtorrent-rasterbar-python3} |  0
 srcpkgs/libtorrent-rasterbar/template          | 18 +++++++++---------
 2 files changed, 9 insertions(+), 9 deletions(-)
 rename srcpkgs/{libtorrent-rasterbar-python => libtorrent-rasterbar-python3} (100%)

diff --git a/srcpkgs/libtorrent-rasterbar-python b/srcpkgs/libtorrent-rasterbar-python3
similarity index 100%
rename from srcpkgs/libtorrent-rasterbar-python
rename to srcpkgs/libtorrent-rasterbar-python3
diff --git a/srcpkgs/libtorrent-rasterbar/template b/srcpkgs/libtorrent-rasterbar/template
index 34614ee2ba5..8cfb3cc9367 100644
--- a/srcpkgs/libtorrent-rasterbar/template
+++ b/srcpkgs/libtorrent-rasterbar/template
@@ -1,11 +1,11 @@
 # Template file for 'libtorrent-rasterbar'
 pkgname=libtorrent-rasterbar
 version=1.1.13
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--enable-examples --enable-python-binding --with-boost=${XBPS_CROSS_BASE}/usr"
-hostmakedepends="automake pkg-config intltool libtool python-devel"
-makedepends="libressl-devel boost-devel geoip-devel python-devel"
+hostmakedepends="automake pkg-config intltool libtool python3-devel boost-python3-1.69"
+makedepends="libressl-devel boost-devel geoip-devel python3-devel boost-python3-1.69"
 short_desc="C++ bittorrent library by Rasterbar Software"
 maintainer="Eivind Uggedal <eivind@uggedal.com>"
 license="BSD-3-Clause"
@@ -14,9 +14,9 @@ distfiles="https://github.com/arvidn/libtorrent/releases/download/libtorrent-${v
 checksum=30040719858e3c06634764e0c1778738eb42ecd0b45e814afa746329a948ead7
 
 pre_configure() {
-	export PYTHON_CPPFLAGS="-I${XBPS_CROSS_BASE}/usr/include/python2.7"
-	export PYTHON_CXXFLAGS="-I${XBPS_CROSS_BASE}/usr/include/python2.7"
-	export PYTHON_LDFLAGS="-L${XBPS_CROSS_BASE}/usr/lib -lpython2.7"
+	export PYTHON_CPPFLAGS="-I${XBPS_CROSS_BASE}/usr/include/python3.6m"
+	export PYTHON_CXXFLAGS="-I${XBPS_CROSS_BASE}/usr/include/python3.6m"
+	export PYTHON_LDFLAGS="-L${XBPS_CROSS_BASE}/usr/lib -lpython3.6m"
 	autoreconf -fi
 }
 
@@ -24,11 +24,11 @@ post_install() {
 	vlicense LICENSE
 }
 
-libtorrent-rasterbar-python_package() {
+libtorrent-rasterbar-python3_package() {
 	lib32disabled=yes
-	short_desc+=" - Python2 bindings"
+	short_desc+=" - Python3 bindings"
 	pkg_install() {
-		vmove usr/lib/python2*
+		vmove usr/lib/python3*
 	}
 }
 
